ROCCATARVOCONTROL(1)

NAME
roccatarvocontrol - a tool to roccatcontrol the extended capabilities of Roccat Arvo keyboard

SYNOPSIS
roccatarvocontrol [ -fhv ] [ -a NUMBER ] [ -l NUMBER ] [ -r FILENAME ] [ -s NUMBER ] [ -w FILENAME ] [ --activate-profile=NUMBER ] [ --actual-profile ] [ --help ] [ --load=NUMMER ] [ --read-firmware ] [ --read-rkp=FILENAME ] [ --save=NUMMER ] [ --version ] [ --write-rkp=FILENAME ]

DESCRIPTION
This console application lets you modify profiles of a Roccat Arvo keyboard.

OPTIONS

-h, --help
    Give the help list.

-a, --activate-profile=NUMBER
    Activates the given profile. Please mind that this permanently sets the startup profile. That means the given profile will be active each time the Arvo starts up.

--actual-profile
    Returns the number of the active profile.

-f, --read-firmware
    Returns the firmware version of the Arvo.

-l, --load=NUMBER
    Loads the deposited profile into memory.

-r, --read-rkp=FILENAME
    Reads an rkp-file into memory.

-s, --save=NUMBER
    Saves the profile from memory to keyboard and deposit.

-v, --version
    Print program version.

-w, --write-rkp=FILENAME
    Write the profile from memory as rkp-file.

EXAMPLES

roccatarvocontrol -r profile.rkp -s 1
    Reads the profile from file profile.rkp and saves the result as profile number 1 in the keyboard and the deposited profile.

AUTHOR
Stefan Achatz <erazor_de@users.sourceforge.net>